There are altered RPMs on host

  • I received this email and I'm not sure what to do:


    [check_cpanel_rpms] There are altered RPMs on HOST


    The system detected problems with the following cPanel-provided files that the RPM controls:


    cpanel-php56-ioncube,5.1.2,1.cp1158-/usr/local/cpanel/3rdparty/php/56/ioncube/ioncube_loader_lin_5.6.so Broken S.5....T.

  • Usually, this happens because you have installed a package using a third-party repository, or a third-party plugin in cPanel.


    Your third-party package or cPanel plugin may not work correctly with a different package version. But, in most cases, it will work just fine with cPanel.


    That message is shown mostly for security reasons in case of an unauthorized third-party change something in your server without your knowledge. So, it's usually safe to ignore but depends on the compatibility of the remaining services and apps you have installed in your server.


    Future updates may also replace the version cPanel uses, and you might have to execute that command again. It's up to you to decide which version to use.


    If you don't know what to do or what to decide, I suggest fixing the RPMs unless the creator of your third-party package or cPanel plugin mentions explicitly to leave that version. Most of the time, they forget to update their repository packages.